ru.bitel.bgbilling.kernel.event.events

## Class GetChangeTariffDatesEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.GetChangeTariffDatesEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class GetChangeTariffDatesEvent
      extends LocalEvent

  Синхронное событие - запрос дат с которых разрешена смена тарифа через Web-статистику.
  Получение списка дат, с которых можно сменить тарифный план через Web.
  Список дат, переданных у событии более приоритетен чем построенный по правилам группы тарифов.
  Унаследован от `LocalEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GetChangeTariffDatesEvent()`
    `` | `GetChangeTariffDatesEvent(int userId, int cid, TariffGroup tariffGroup, java.util.Date date, int fromTariffId, int toTariffId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Возвращает текущую дату.
    `java.util.List<java.util.Date>` | `getDateList()` Получение списка дат (вызывается биллингом после обработки события).
    `int` | `getFromTariffId()` Возвращает id тарифа с которого переключается ползователь.
    `TariffGroup` | `getTariffGroup()` Возвращает группу тарифов.
    `int` | `getToTariffId()` Возвращает id тарифа на который переключается пользователь.
    `void` | `setDateList(java.util.List<java.util.Date> dateList)` Установка списка дат, с которых можно сменять тариф.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetChangeTariffDatesEvent

          protected GetChangeTariffDatesEvent()

    - #### GetChangeTariffDatesEvent

          public GetChangeTariffDatesEvent(int userId,
                                           int cid,
                                           TariffGroup tariffGroup,
                                           java.util.Date date,
                                           int fromTariffId,
                                           int toTariffId)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `cid` - - id договора
        `tariffGroup` - - группа тарифов
        `date` - - текущая дата
        `fromTariffId` - - id тарифа с которого переключается ползователь
        `toTariffId` - - id тарифа на который переключается пользователь

  - ### Method Detail

    - #### getDateList

          public java.util.List<java.util.Date> getDateList()

      Получение списка дат (вызывается биллингом после обработки события).
      Returns:
        dateList - список дат

    - #### setDateList

          public void setDateList(java.util.List<java.util.Date> dateList)

      Установка списка дат, с которых можно сменять тариф.
      Parameters:
        `dateList` - - список дат

    - #### getDate

          public java.util.Date getDate()

      Возвращает текущую дату.
      Returns:
        date - текущая дата

    - #### getTariffGroup

          public TariffGroup getTariffGroup()

      Возвращает группу тарифов.
      Returns:
        tariffGroup - группа тарифов

    - #### getToTariffId

          public int getToTariffId()

      Возвращает id тарифа на который переключается пользователь.
      Returns:
        toTariffId - id тарифа

    - #### getFromTariffId

          public int getFromTariffId()

      Возвращает id тарифа с которого переключается ползователь.
      Returns:
        fromTariffId - id тарифа